<div class="list-group d-block">
  <h1 class=" col-12 list-group-item  list-group-item-light d-flex align-items-center justify-content-center" >
    <svg  routerLink="/" type="button" class="bi bi-arrow-left-circle mx-2 mt-1" width=".8em" height=".8em" viewBox="0 0 16 16"  fill="currentColor" xmlns="http://www.w3.org/2000/svg">
      <path fill-rule="evenodd" d="M8 15A7 7 0 1 0 8 1a7 7 0 0 0 0 14zm0 1A8 8 0 1 0 8 0a8 8 0 0 0 0 16z"/>
      <path fill-rule="evenodd" d="M12 8a.5.5 0 0 1-.5.5H5.707l2.147 2.146a.5.5 0 0 1-.708.708l-3-3a.5.5 0 0 1 0-.708l3-3a.5.5 0 1 1 .708.708L5.707 7.5H11.5a.5.5 0 0 1 .5.5z"/>
    </svg>
    Administrador</h1>
    <div *ngIf="alerta !== '' && alerta !== 'No hay clientes creados' " class="alert alert-danger text-center" role="alert">
      {{alerta}}
    </div>
    <div *ngIf="alerta === 'No hay clientes creados' " class="alert alert-warning text-center" role="alert">
      {{alerta}}
    </div>
    <div *ngIf="alertaAdvertencia !== '' " class="alert alert-warning text-center" role="alert">
      {{alertaAdvertencia}}
    </div>
  <ul class="px-0">
    <li *ngIf="alertaAdvertencia === '' && alerta === ''" class="list-group-item list-group-item-warning text-center d-flex align-items-center justify-content-center"
    style="list-style: none;">
      <form class="d-flex flex-row align-items-center justify-content-center" (ngSubmit)='formularioCliente.form.valid && crearCliente($event)' #formularioCliente="ngForm">
        <input [(ngModel)]='creandoCliente.nombre'
          type="text"
          name="nombre"
          placeholder="nombre"
          class="form-control mr-2" required>
        <input [(ngModel)]='creandoCliente.apellido'
          type="text"
          name="apellido"
          placeholder="apellido"
          class="form-control" required>
        <button type="submit" class="d-flex align-items-center btn p-0 ml-3 mr-2 h-100">
          <svg  width="1.3em" height="1.3em" viewBox="0 0 16 16" class="bi bi-plus-square" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
            <path fill-rule="evenodd" d="M14 1H2a1 1 0 0 0-1 1v12a1 1 0 0 0 1 1h12a1 1 0 0 0 1-1V2a1 1 0 0 0-1-1zM2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2z"/>
            <path fill-rule="evenodd" d="M8 4a.5.5 0 0 1 .5.5v3h3a.5.5 0 0 1 0 1h-3v3a.5.5 0 0 1-1 0v-3h-3a.5.5 0 0 1 0-1h3v-3A.5.5 0 0 1 8 4z"/>
          </svg>
        </button>
      </form>
    </li>
    <div *ngFor="let cliente of clientes">
      <li class="list-group-item list-group-item-primary text-center d-flex align-items-center justify-content-center"
      style="list-style: none;"
      *ngIf="cliente !== ''">
        <svg (click)="InformacionCuentas(cliente)" *ngIf="cliente.desplegado" type="button" width="1em" height="1em" viewBox="0 0 16 16" class="bi bi-app mr-3" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
          <path fill-rule="evenodd" d="M11 2H5a3 3 0 0 0-3 3v6a3 3 0 0 0 3 3h6a3 3 0 0 0 3-3V5a3 3 0 0 0-3-3zM5 1a4 4 0 0 0-4 4v6a4 4 0 0 0 4 4h6a4 4 0 0 0 4-4V5a4 4 0 0 0-4-4H5z"/>
        </svg>
        <svg (click)="InformacionCuentas(cliente)" *ngIf="!cliente.desplegado" type="button" width="1em" height="1em" viewBox="0 0 16 16" class="bi bi-arrow-down-square mr-3" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
          <path fill-rule="evenodd" d="M14 1H2a1 1 0 0 0-1 1v12a1 1 0 0 0 1 1h12a1 1 0 0 0 1-1V2a1 1 0 0 0-1-1zM2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2z"/>
          <path fill-rule="evenodd" d="M8 4a.5.5 0 0 1 .5.5v5.793l2.146-2.147a.5.5 0 0 1 .708.708l-3 3a.5.5 0 0 1-.708 0l-3-3a.5.5 0 1 1 .708-.708L7.5 10.293V4.5A.5.5 0 0 1 8 4z"/>
        </svg>
        {{cliente.intNombre}} {{cliente.intApellido}} {{cliente.id}}
        <svg (click)="deplegarModificarCliente(cliente)" type="button" width="1em" height="1em" viewBox="0 0 16 16" class="bi bi-pencil-square mx-2" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
          <path d="M15.502 1.94a.5.5 0 0 1 0 .706L14.459 3.69l-2-2L13.502.646a.5.5 0 0 1 .707 0l1.293 1.293zm-1.75 2.456l-2-2L4.939 9.21a.5.5 0 0 0-.121.196l-.805 2.414a.25.25 0 0 0 .316.316l2.414-.805a.5.5 0 0 0 .196-.12l6.813-6.814z"/>
          <path fill-rule="evenodd" d="M1 13.5A1.5 1.5 0 0 0 2.5 15h11a1.5 1.5 0 0 0 1.5-1.5v-6a.5.5 0 0 0-1 0v6a.5.5 0 0 1-.5.5h-11a.5.5 0 0 1-.5-.5v-11a.5.5 0 0 1 .5-.5H9a.5.5 0 0 0 0-1H2.5A1.5 1.5 0 0 0 1 2.5v11z"/>
        </svg>
        <svg (click)="eliminarCliente(cliente)" type="button" width="1em" height="1em" viewBox="0 0 16 16" class="bi bi-x-square mx-2" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
          <path fill-rule="evenodd" d="M14 1H2a1 1 0 0 0-1 1v12a1 1 0 0 0 1 1h12a1 1 0 0 0 1-1V2a1 1 0 0 0-1-1zM2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2z"/>
          <path fill-rule="evenodd" d="M4.646 4.646a.5.5 0 0 1 .708 0L8 7.293l2.646-2.647a.5.5 0 0 1 .708.708L8.707 8l2.647 2.646a.5.5 0 0 1-.708.708L8 8.707l-2.646 2.647a.5.5 0 0 1-.708-.708L7.293 8 4.646 5.354a.5.5 0 0 1 0-.708z"/>
        </svg>
        <svg (click)="deplegarCrearCuenta(cliente)" type="button" width="1em" height="1em" viewBox="0 0 16 16" class="bi bi-journal-plus mx-2" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
          <path d="M3 0h10a2 2 0 0 1 2 2v12a2 2 0 0 1-2 2H3a2 2 0 0 1-2-2v-1h1v1a1 1 0 0 0 1 1h10a1 1 0 0 0 1-1V2a1 1 0 0 0-1-1H3a1 1 0 0 0-1 1v1H1V2a2 2 0 0 1 2-2z"/>
          <path d="M1 5v-.5a.5.5 0 0 1 1 0V5h.5a.5.5 0 0 1 0 1h-2a.5.5 0 0 1 0-1H1zm0 3v-.5a.5.5 0 0 1 1 0V8h.5a.5.5 0 0 1 0 1h-2a.5.5 0 0 1 0-1H1zm0 3v-.5a.5.5 0 0 1 1 0v.5h.5a.5.5 0 0 1 0 1h-2a.5.5 0 0 1 0-1H1z"/>
          <path fill-rule="evenodd" d="M8 5.5a.5.5 0 0 1 .5.5v1.5H10a.5.5 0 0 1 0 1H8.5V10a.5.5 0 0 1-1 0V8.5H6a.5.5 0 0 1 0-1h1.5V6a.5.5 0 0 1 .5-.5z"/>
        </svg>
      </li>
      <li *ngIf="alertaAdvertencia === '' && alerta === '' && cliente !== '' && cliente.id === modificandoCliente.id" class="list-group-item list-group-item-warning text-center d-flex align-items-center justify-content-center"
      style="list-style: none;">
        <form class="d-flex flex-row align-items-center justify-content-center" (ngSubmit)='formularioCliente.form.valid && modificarCliente($event,cliente.id)' #formularioCliente="ngForm">
          <input [(ngModel)]='modificandoCliente.nombre'
            type="text"
            name="nombre"
            placeholder="nombre"
            class="form-control mr-2" required>
          <input [(ngModel)]='modificandoCliente.apellido'
            type="text"
            name="apellido"
            placeholder="apellido"
            class="form-control" required>
          <button type="submit" class="d-flex align-items-center btn p-0 ml-3 mr-2 h-100">
            <svg  width="1.3em" height="1.3em" viewBox="0 0 16 16" class="bi bi-plus-square" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
              <path fill-rule="evenodd" d="M14 1H2a1 1 0 0 0-1 1v12a1 1 0 0 0 1 1h12a1 1 0 0 0 1-1V2a1 1 0 0 0-1-1zM2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2z"/>
              <path fill-rule="evenodd" d="M8 4a.5.5 0 0 1 .5.5v3h3a.5.5 0 0 1 0 1h-3v3a.5.5 0 0 1-1 0v-3h-3a.5.5 0 0 1 0-1h3v-3A.5.5 0 0 1 8 4z"/>
            </svg>
          </button>
        </form>
      </li>
      <li *ngIf="alertaAdvertencia === '' && alerta === '' && cliente !== '' && cliente.id === modificandoCuenta.idCliente" class="list-group-item list-group-item-warning text-center d-flex align-items-center justify-content-center"
      style="list-style: none;">
        <form class="d-flex flex-row align-items-center justify-content-center" (ngSubmit)='formularioCliente.form.valid && crearCuenta($event,cliente.id)' #formularioCliente="ngForm">
          <input [(ngModel)]='modificandoCuenta.intCuenta'
            type="number"
            name="intCuenta"
            placeholder="balance cuenta"
            class="form-control" required>
          <button type="submit" class="d-flex align-items-center btn p-0 ml-3 mr-2 h-100">
            <svg  width="1.3em" height="1.3em" viewBox="0 0 16 16" class="bi bi-plus-square" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
              <path fill-rule="evenodd" d="M14 1H2a1 1 0 0 0-1 1v12a1 1 0 0 0 1 1h12a1 1 0 0 0 1-1V2a1 1 0 0 0-1-1zM2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2z"/>
              <path fill-rule="evenodd" d="M8 4a.5.5 0 0 1 .5.5v3h3a.5.5 0 0 1 0 1h-3v3a.5.5 0 0 1-1 0v-3h-3a.5.5 0 0 1 0-1h3v-3A.5.5 0 0 1 8 4z"/>
            </svg>
          </button>
        </form>
      </li>
      <div *ngIf="cliente !== '' && cliente.alerta !== '' " class="alert alert-warning text-center" role="alert">
        {{cliente.alerta}}
      </div>
      <div *ngFor="let cuenta of cliente.cuentas">
        <li class="list-group-item list-group-item-action list-group-item-success text-center"
        style="list-style: none;">Cuenta {{cuenta.id}}: Balance {{cuenta.intCuenta | currency:'CLP':'$':'1.0'}}
          <svg (click)="deplegarModificarCuenta(cuenta.id)" type="button" width="1em" height="1em" viewBox="0 0 16 16" class="bi bi-pencil ml-3 mr-2" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
            <path fill-rule="evenodd" d="M12.146.146a.5.5 0 0 1 .708 0l3 3a.5.5 0 0 1 0 .708l-10 10a.5.5 0 0 1-.168.11l-5 2a.5.5 0 0 1-.65-.65l2-5a.5.5 0 0 1 .11-.168l10-10zM11.207 2.5L13.5 4.793 14.793 3.5 12.5 1.207 11.207 2.5zm1.586 3L10.5 3.207 4 9.707V10h.5a.5.5 0 0 1 .5.5v.5h.5a.5.5 0 0 1 .5.5v.5h.293l6.5-6.5zm-9.761 5.175l-.106.106-1.528 3.821 3.821-1.528.106-.106A.5.5 0 0 1 5 12.5V12h-.5a.5.5 0 0 1-.5-.5V11h-.5a.5.5 0 0 1-.468-.325z"/>
          </svg>
          <svg (click)="eliminarCuenta(cliente.id, cuenta.id)" width="1em" height="1em" viewBox="0 0 16 16" class="bi bi-trash mx-2" type="button" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
            <path d="M5.5 5.5A.5.5 0 0 1 6 6v6a.5.5 0 0 1-1 0V6a.5.5 0 0 1 .5-.5zm2.5 0a.5.5 0 0 1 .5.5v6a.5.5 0 0 1-1 0V6a.5.5 0 0 1 .5-.5zm3 .5a.5.5 0 0 0-1 0v6a.5.5 0 0 0 1 0V6z"/>
            <path fill-rule="evenodd" d="M14.5 3a1 1 0 0 1-1 1H13v9a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2V4h-.5a1 1 0 0 1-1-1V2a1 1 0 0 1 1-1H6a1 1 0 0 1 1-1h2a1 1 0 0 1 1 1h3.5a1 1 0 0 1 1 1v1zM4.118 4L4 4.059V13a1 1 0 0 0 1 1h6a1 1 0 0 0 1-1V4.059L11.882 4H4.118zM2.5 3V2h11v1h-11z"/>
          </svg>
        </li>
        <li *ngIf="alertaAdvertencia === '' && alerta === '' && cliente !== '' && cuenta.id === modificandoCuenta.id && modificandoCuenta.id !== ''" class="list-group-item list-group-item-warning text-center d-flex align-items-center justify-content-center"
        style="list-style: none;">
        <form class="d-flex flex-row align-items-center justify-content-center" (ngSubmit)='formularioCliente.form.valid && modificarCuenta($event,cliente.id, cuenta.id)' #formularioCliente="ngForm">
          <input [(ngModel)]='modificandoCuenta.intCuenta'
            type="number"
            name="intCuenta"
            placeholder="balance cuenta"
            class="form-control" required>
            <button type="submit" class="d-flex align-items-center btn p-0 ml-3 mr-2 h-100">
              <svg  width="1.3em" height="1.3em" viewBox="0 0 16 16" class="bi bi-plus-square" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
                <path fill-rule="evenodd" d="M14 1H2a1 1 0 0 0-1 1v12a1 1 0 0 0 1 1h12a1 1 0 0 0 1-1V2a1 1 0 0 0-1-1zM2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2z"/>
                <path fill-rule="evenodd" d="M8 4a.5.5 0 0 1 .5.5v3h3a.5.5 0 0 1 0 1h-3v3a.5.5 0 0 1-1 0v-3h-3a.5.5 0 0 1 0-1h3v-3A.5.5 0 0 1 8 4z"/>
              </svg>
            </button>
          </form>
        </li>
      </div>
    </div>
  </ul>
</div>
